# updateAppliedPromotion

### Arguments

| Argument                                                                                                     | Description                           |
| ------------------------------------------------------------------------------------------------------------ | ------------------------------------- |
| input ([UpdateAppliedPromotionInput](/graphql-api/api-reference/objects/update-applied-promotion-input.md)!) | Parameters for UpdateAppliedPromotion |

### UpdateAppliedPromotionInput Arguments

| Argument                                                                                  | Description                                                                                                                         |
| ----------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| id ([ID](/graphql-api/api-reference/objects/id.md)!)                                      |                                                                                                                                     |
| deactivateAfterAmountIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md)) | The maximum discount amount in cents that this promotion should provide.Only applicable when using the VALUE deactivation strategy. |
| deactivateAfterTimes ([Int](/graphql-api/api-reference/objects/int.md))                   | After how mamy times used this applied promotion should get deactivated.Only applicable when using the TIMES deactivation strategy. |
| active ([Boolean](/graphql-api/api-reference/objects/boolean.md))                         | Whether this promotion should actively be used for this subscription.                                                               |

### Return fields

#### appliedPromotion ([AppliedPromotion](/graphql-api/api-reference/objects/applied-promotion.md)!)

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/update-applied-promotion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
